Loading...
Searching...
No Matches
functorMaxValues< T > Struct Template Reference

`#include </build/pcl-k79KrG/pcl-1.15.1+dfsg/gpu/people/src/cuda/nvidia/NCVAlg.hpp>`

## Static Public Member Functions

static __device__ __inline__ void | assign (volatile T *dst, volatile T *src)
static __device__ __inline__ void | reduce (volatile T &in1out, const volatile T &in2)

## Detailed Description

template<typename T>
struct functorMaxValues< T >

Definition at line 94 of file NCVAlg.hpp.

## Member Function Documentation

## assign()

template<typename T>

__device__ __inline__ void functorMaxValues< T >::assign | ( | volatile T * | dst,
|  | volatile T * | src )

inline static

Definition at line 96 of file NCVAlg.hpp.

## reduce()

template<typename T>

__device__ __inline__ void functorMaxValues< T >::reduce | ( | volatile T & | in1out,
|  | const volatile T & | in2 )

inline static

Definition at line 101 of file NCVAlg.hpp.

The documentation for this struct was generated from the following file:

- /build/pcl-k79KrG/pcl-1.15.1+dfsg/gpu/people/src/cuda/nvidia/NCVAlg.hpp